Subject: [mpls] Poll to see if we have support to make draft-bryant-mpls-oam-udp-return an mpls working group document

From: Loa Andersson <[email-masked]>
Date: Mon, 07 Jul 2014 15:59:22 +0200

Working Group,

The authors of draft-bryant-mpls-oam-udp-return has informed us
that the draft is ready to be polled to see if we have consensus
to make it a working group document.

This mail starts a two week adoption poll.

We have not yet done the IPR poll, it will be done in parallel to the
adoption poll.

There are no IPR disclosed against this draft.

Please send your comments to the mpls working group mailing list
([email-masked])

This adoption poll ends Juli 21, 2014!

/Loa
for the mpls wg co-chairs

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 7 Jul 2014 14:03:06 -0400

Loa,

My positive opinion on this draft has not changed since my previous email
on it. I support it as a WG document.

Cheers,
Andy

On Mon, Jul 7, 2014 at 9:59 AM, Loa Andersson <[email-masked]> wrote:

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: "Siva Sivabalan (msiva)" <[email-masked]>
Date: Wed, 9 Jul 2014 12:29:53 +0000

Support as an author.

-----Original Message-----
From: Loa Andersson [mailto:[email-masked]] 
Sent: Monday, July 07, 2014 9:59 AM
To: [email-masked]; [email-masked]; Adrian Farrel
Cc: [email-masked]
Subject: Poll to see if we have support to make draft-bryant-mpls-oam-udp-return an mpls working group document

Working Group,

The authors of draft-bryant-mpls-oam-udp-return has informed us that the draft is ready to be polled to see if we have consensus to make it a working group document.

We have not yet done the IPR poll, it will be done in parallel to the adoption poll.

/Loa

--

---

From: "Shah, Himanshu" <[email-masked]>
Date: Wed, 9 Jul 2014 08:45:39 -0400

Support to adopt  this as a working group draft.
/himanshu

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Siva Sivabalan (msiva)
Sent: Wednesday, July 09, 2014 8:30 AM
To: Loa Andersson; [email-masked]; [email-masked]; Adrian Farrel
Cc: [email-masked]
Subject: Re: [mpls] Poll to see if we have support to make draft-bryant-mpls-oam-udp-return an mpls working group document

Support as an author.

-----Original Message-----
From: Loa Andersson [mailto:[email-masked]] 
Sent: Monday, July 07, 2014 9:59 AM
To: [email-masked]; [email-masked]; Adrian Farrel
Cc: [email-masked]
Subject: Poll to see if we have support to make draft-bryant-mpls-oam-udp-return an mpls working group document

Working Group,

/Loa

--

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Fri, 18 Jul 2014 00:50:56 +0000

Hi Loa,

I have read the document and on-list discussions around this document.

I believe this document solves a necessary problem, and I believe the desire to define a solution based on the LMAP framework should not block the progress of this document (i.e. the two should be pursued independently).

Therefore, I support the adoption of this document as a WG document.

Below lists few comments which I would like to see addressed, but not blockers before becoming a WG document.

[snip from Section 4]
   If the URO is expected but is not present in Query message and an
   MPLS-PLDM Response is requested out-of-band, the Query message MUST
   NOT be processed further.  If received over a bidirectional LSP, the
   control code of the Response message MUST be set to "Error - Missing
   TLV" and a Response SHOULD be sent over the reverse LSP.

[snip from Section 4.3]
   If an Out-of-band response is requested and the Address object or the
   URO is missing, the Query SHOULD be dropped in the case of a
   unidirectional LSP.  If both these TLVs are missing on a
   bidirectional LSP, the control code of Response message should set to
   "Invalid Message" and the response SHOULD be sent over the reverse
   LSP.

Both snippets are describing the same procedure but there's a conflict with control code value mandated.
     => "Missing TLV" (TBD) vs. "Invalid Message" (0x1C)

In the second snippet from Section 4.3 above, I believe the condition should be && and not ||.

s/and the Address object or the URO is missing/and the Address object and the URO are missing/

[snip from Section 5]
   Nothing in this document precludes the use of a configured UDP/IP
   return path in a deployment in which configuration is preferred to
   signalling.  In these circumstances the URO MAY be omitted from the
   MPLS-PLDM messages.

I'd like to propose a slightly different text, because such configuration may be to setup a default target for the response, in which case URO will be more preferred.

[suggested text]
   Nothing in this document precludes the use of a configured UDP/IP
   return path that is more preferred than the target specified in
   received UROs.  In these circumstances, the UROs in received MPLS-PM
   Query MAY be ignored.  Alternatively use of a configured UDP/IP
   return path as a default target may be specified (i.e. less preferred
   than UROs).  In these circumstances, the absence of the UROs in
   received MPLS-PM Query SHOULD NOT be treated as an error.

--- nits ---

[Abstract]
s/proceedure/procedure/

[Introduction, last paragraph]
s/reponse/response/

[Solution Overview, first paragraph]
s/querry/query/

[Sending an MPLS-PM Response, second paragraph]
s/incuded/included/

[Sending an MPLS-PM Response, second paragraph]
s/Session Indentifier/Session Identifier/

Thanks!

-Nobo

> From: mpls [mailto:[email-masked]] On Behalf Of Loa Andersson
> Subject: [mpls] Poll to see if we have support to make draft-bryant-mpls-
> oam-udp-return an mpls working group document
> 
> Working Group,
> 
> 
> The authors of draft-bryant-mpls-oam-udp-return has informed us that the
> draft is ready to be polled to see if we have consensus to make it a working
> group document.
>

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 18 Jul 2014 11:43:35 +0100

>       => "Missing TLV" (TBD) vs. "Invalid Message" (0x1C)
Good catch.

Since we have combined port and address, invalid Msg is probably good 
enough.

> In the second snippet from Section 4.3 above, I believe the condition should be && and not ||.
I don't think so.

Address only was the original mode and although I have doubts about
whether there are deployments we need to support it until it is deprecated.
Thus you might find an address TLV indicating a response over IP is 
required or
a URO indicating a response over UDP/IP is required.

I think we agreed that we needed to support multiple UROs in certain
circumstances however I am wondering whether we need to support
both modes (IP and URO) or the same packet.

> s/and the Address object or the URO is missing/and the Address object and the URO are missing/
Please see above. Since we combined address and port in the URO
only one TLV needs to be present
>     received MPLS-PM Query SHOULD NOT be treated as an error.
That works for me.

I will fix the nits as needs

Thanks for the review

Stewart

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Fri, 18 Jul 2014 13:03:17 +0000

Hi Stewart,

Clipping out ones with closure.
Please see below.

[...]
> >     "Invalid Message" and the response SHOULD be sent over the reverse
[...]
> Thus you might find an address TLV indicating a response over IP is required
> or a URO indicating a response over UDP/IP is required.
> 
> circumstances however I am wondering whether we need to support both
> modes (IP and URO) or the same packet.
[...]

I see. I got the impression from the document that having both is not disallowed, thus it's an error if neither are included in the Query (i.e. &&). But you are right, there's no point in keeping around (IP) since (URO) is a superset. Technically I do not see any issue if this document deprecated (IP). Responder implementations will likely need to support both for a while, thus perhaps having a text around the transition period (i.e. what happens when both (IP) and (URO) are in the Query) somewhere in the document (ex: Appendix?) may be beneficial.

Either way, texts in both snippets should be updated.

Thanks!

-Nobo

---

From: Capello Alessandro <[email-masked]>
Date: Mon, 21 Jul 2014 12:51:11 +0000

Hi,

I support the adoption of this draft as a WG document.

Regards,
Alessandro

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: lunedì 7 luglio 2014 15.59
To: [email-masked]; [email-masked]; Adrian Farrel
Cc: [email-masked]
Subject: [mpls] Poll to see if we have support to make draft-bryant-mpls-oam-udp-return an mpls working group document

Working Group,

/Loa

--

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie.

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.

---

From: Loa Andersson <[email-masked]>
Date: Tue, 29 Jul 2014 12:22:32 +0200

Working Group,

This adoption poll has been closed; and we have a new working group
document.

Can the authors please publish draft-ietf-mpls-oam-udp-return-00,
without any other changes than the version and date.

/Loa
for the wg chairs

--

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 29 Jul 2014 16:48:00 +0100

Loa

I submitted as draft-ietf-mpls-pm-udp-return

See the review comment by Eric

The content is about PM so Eric is correct.

Stewart

-------- Original Message --------
Subject: MPLS-RT review of draft-bryant-mpls-oam-udp-return
Resent-Date: Wed, 4 Jun 2014 14:31:41 +0000
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, 
<[email-masked]>, <[email-masked]>, <[email-masked]>, 
<[email-masked]>
Date: Wed, 4 Jun 2014 14:31:09 +0000
From: Osborne, Eric <[email-masked]>
To: Eric Gray <[email-masked]>, "[email-masked]" 
<[email-masked]>, "Aissaoui, Mustapha (Mustapha" 
<[email-masked]>, "[email-masked]" 
<[email-masked]>, "VIGOUREUX, MARTIN (MARTIN" 
<[email-masked]>, 
"[email-masked]" 
<[email-masked]>

<snip>

Nit: the draft is ‘draft-bryant-mpls-oam-udp-return’ but the doc title 
suggests that ‘draft-bryan-mpls-pm-udp-return’ would make more sense.

<snip>

==========

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Loa Andersson <[email-masked]>
Date: Tue, 29 Jul 2014 18:23:26 +0200

Ack!

/Loa

--

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 29 Jul 2014 16:51:20 +0000

Dear Stewart, et. al,
I think that Performance Measurement includes a broader set of measurements than Delay and Loss, e.g. Throughput, Available Bandwidth. I think that characterizing RFC 6374 and its extensions as the MPLS PM RFC is not entirely accurate. These documents add to overall solution of the MPLS PM but do not address all its aspects.

	Regards,
		Greg

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Tuesday, July 29, 2014 8:48 AM
To: Loa Andersson; [email-masked]; [email-masked]; Adrian Farrel
Cc: [email-masked]
Subject: Re: [mpls] Closed: Poll to see if we have support to make draft-bryant-mpls-oam-udp-return an mpls working group document

Loa

Stewart

-------- Original Message --------
Subject: MPLS-RT review of draft-bryant-mpls-oam-udp-return
Resent-Date: Wed, 4 Jun 2014 14:31:41 +0000
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Wed, 4 Jun 2014 14:31:09 +0000
From: Osborne, Eric <[email-masked]>
To: Eric Gray <[email-masked]>, "[email-masked]" 

<snip>

Nit: the draft is 'draft-bryant-mpls-oam-udp-return' but the doc title suggests that 'draft-bryan-mpls-pm-udp-return' would make more sense.

<snip>

==========

On 29/07/2014 11:22, Loa Andersson wrote:
>> The authors of draft-bryant-mpls-oam-udp-return has informed us that 
>> the draft is ready to be polled to see if we have consensus to make 
>> it a working group document.
>>

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 30 Jul 2014 12:45:14 +0100

Greg,

The new name was recommended during WG adoption
and I am sure I said I would make the change. No one
commented at the time.

I am more than willing to change the draft name again if that
is the consensus. However I would like to do so before making
substantive changes to the text.

I await the instructions of the chairs.

Stewart

On 29/07/2014 17:51, Gregory Mirsky wrote:
> .